Arma 2: Operation Arrowhead

Arma 2: Operation Arrowhead

View Stats:
DayZ "Bad Version, Server Connection Rejected" error
How would I go about solving this?
If you're only here to ♥♥♥♥ about DayZ, shut the hell up.
< >
Showing 1-15 of 16 comments
[40-1]King_Kosher Dec 31, 2012 @ 1:52pm 
I would try to get the correct DayZ Version for the Server you are trying to connect to
StockishGSR Dec 31, 2012 @ 2:02pm 
Download a program called DayZ commander, it keeps DayZ, ARMA2 and other things updated to current version as well as acts as a server browser.

http://www.dayzcommander.com/
Originally posted by StockishGSR:
Download a program called DayZ commander, it keeps DayZ, ARMA2 and other things updated to current version as well as acts as a server browser.

http://www.dayzcommander.com/
I have DayZ commander. I can connect to a few servers, but most of them give me the error. Everything is up to date (ARMA 2, Operation Arrowhead, and DayZ).
StockishGSR Dec 31, 2012 @ 2:36pm 
Odd, it could have something to do on the server side as well, being that I only play on a few servers I know work well I haven't ran into this issue for awhile.

If it persists, see if anybody on the actual mod forums has the issue with another solution since I can't help outside of what I know fixed my issue.
BLAZE-420-BOT Jan 4, 2013 @ 7:08pm 
Sometimes when i join a server like after a few minutes it will say plzz disconnect and then conect like wtf!!
In Dayz commander (I recommend using SixLauncher instead, easier to swap between versions) if you go to the install/update section, you can select which version of Arma 2 you want, select the one the server your attempting to connect to is running on and install that, then it should work
But as I said, I recommend SixLauncher, alot easier to use when swapping between versions, it might not always work in Dayzcommander either.
BLAZE-420-BOT Jan 5, 2013 @ 8:26pm 
dude dayZcommander is way better than sixlauncher if u have windows 8 like me!!
SixLauncher = Easier to swap between versions of Arma 2.
That's the only reason I prefer it. They're really just as good as eachother otherwise.
Lion Heart Jan 6, 2013 @ 7:54am 
why the ♥♥♥♥ are you using six?
Didnt I just say that? Quit fanboying launchers.
Spectral Jan 6, 2013 @ 11:47pm 
Greetings OP,

It is possible to be TOO up to date, and jump the gun on the server owners updating the servers themselves, this can take a week or more if they aren't worried about it, and your version must match the servers, that's all it is.
I play on Namalsk server that has not been updated in a month, and have too just roll back the version too play there (friends play on that server and have characters with 35+ days).

Not a big issue, just stick with a few servers and update as they do and you will have no dramas. Use whatever launcher you like tbh, both much the same.

Cheers,

Spectre.
Last edited by Spectral; Jan 6, 2013 @ 11:47pm
AH. So it's not necessarily a clientside problem. Servers might not have updated. DERP.
Thanks for the help @Spectre.
Spectral Jan 8, 2013 @ 2:14am 
No problems chap, glad too have been of help.
Best way is stick too a few different servers, or on per map type, thats what I do, I have a few Chernarus ones, and a Namalsk, and a Lingor I play on, I just update when they do.
chase Apr 23, 2013 @ 2:41pm 
so this is not our problem ... the servers problem ?
Spectral Apr 24, 2013 @ 1:57am 
Pretty much in a nutshell, a lot of the time. Either that or a version issue. These days it is rare as you can use the Steam Version + Beta and its up to date.
< >
Showing 1-15 of 16 comments
Per page: 15 30 50

Date Posted: Dec 30, 2012 @ 3:57pm
Posts: 16